Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## kieker.webgui.web.utility.command
Class AddPluginCommand

    java.lang.Object
      kieker.webgui.web.utility.command.AbstractEditorCommand
          kieker.webgui.web.utility.command.AddPluginCommand

    public final class AddPluginCommand

extends AbstractEditorCommand

Author:
  Nils Christian Ehmke

Constructor Summary
`AddPluginCommand(kieker.analysis.model.analysisMetaModel.MIProject parent, kieker.analysis.model.analysisMetaModel.MIPlugin plugin, AnalysisEditorGraphBean graphBean)` Creates a new instance of this class using the given parameters.

Method Summary
`void` | `execute()` Executes this command.
`AbstractEditorCommand` | `invert()` Inverts this command.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AddPluginCommand

    public AddPluginCommand(kieker.analysis.model.analysisMetaModel.MIProject parent,
                            kieker.analysis.model.analysisMetaModel.MIPlugin plugin,
                            AnalysisEditorGraphBean graphBean)

  Creates a new instance of this class using the given parameters.

  Parameters:
    `parent` - The parent project in which a plugin should be added.
    `plugin` - The plugin which should be added.
    `graphBean` - The corresponding graph bean.

Method Detail

### execute

    public void execute()

  Description copied from class: `AbstractEditorCommand`
  Executes this command.

  Specified by:
    `execute` in class `AbstractEditorCommand`

### invert

    public AbstractEditorCommand invert()

  Description copied from class: `AbstractEditorCommand`
  Inverts this command.

  Specified by:
    `invert` in class `AbstractEditorCommand`
  Returns:
    The inverted command.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2014. All rights reserved.